Package fr.gouv.vitam.functional.administration.rest

# Class AdminMigrationResource

java.lang.Object
fr.gouv.vitam.functional.administration.rest.AdminMigrationResource

@Path("/adminmanagement/v1") @ApplicationPath("webresources") public class AdminMigrationResource extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdminMigrationResource(LogbookOperationsClientFactory logbookOperationsClientFactory, ProcessingManagementClientFactory processingManagementClientFactory, WorkspaceClientFactory workspaceClientFactory, AdminManagementConfiguration configuration, OntologyLoader ontologyLoader, ElasticsearchFunctionalAdminIndexManager indexManager)`
  AdminMigrationResource

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `check()`
  Check migration status
  `jakarta.ws.rs.core.Response`
  `migrateCollection(DataMigrationBody dataMigrationBody)`
  Migrate Collections : To add a new Migration scenary, please add a AUTHORIZED_FIELDS_TO_UPDATE list in the concerned collection to control fields to update.
  `jakarta.ws.rs.core.Response`
  `start(jakarta.ws.rs.core.HttpHeaders headers)`
  Migration Api

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AdminMigrationResource

    public AdminMigrationResource(LogbookOperationsClientFactory logbookOperationsClientFactory, ProcessingManagementClientFactory processingManagementClientFactory, WorkspaceClientFactory workspaceClientFactory, AdminManagementConfiguration configuration, OntologyLoader ontologyLoader, ElasticsearchFunctionalAdminIndexManager indexManager)
    AdminMigrationResource
    Parameters:
      `logbookOperationsClientFactory` - logbookOperationsClientFactory
      `processingManagementClientFactory` - processingManagementClientFactory
      `workspaceClientFactory` - workspaceClientFactory

- ## Method Details

  - ### start

    @POST @Path("/startMigration") @Consumes("application/json") @Produces("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response start(@Context jakarta.ws.rs.core.HttpHeaders headers)
    Migration Api
    Parameters:
      `headers` - headers
    Returns:
      Response

  - ### check

    @HEAD @Path("/migrationStatus") @Consumes("application/json") @Produces("application/json") @VitamAuthentication(authentLevel=BASIC_AUTHENT) public jakarta.ws.rs.core.Response check()
    Check migration status
    Returns:
      Response

  - ### migrateCollection

    @Path("collectionMigration") @PUT @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response migrateCollection(DataMigrationBody dataMigrationBody)
    Migrate Collections : To add a new Migration scenary, please add a AUTHORIZED_FIELDS_TO_UPDATE list in the concerned collection to control fields to update. Collection should be controled by its enum family ( FunctionalAdminCollections, OfferCollections, LogbookCollections, ... )
    Parameters:
      `dataMigrationBody` -
    Returns: